=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Section: tde
 Replaces: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
 Breaks: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
-Depends: atlantik-trinity (>= ${Source-Version}), kasteroids-trinity (>= ${Source-Version}), katomic-trinity (>= ${Source-Version}), kbackgammon-trinity (>= ${Source-Version}), kbattleship-trinity (>= ${Source-Version}), kblackbox-trinity (>= ${Source-Version}), kbounce-trinity (>= ${Source-Version}), kenolaba-trinity (>= ${Source-Version}), kfouleggs-trinity (>= ${Source-Version}), kgoldrunner-trinity (>= ${Source-Version}), kjumpingcube-trinity (>= ${Source-Version}), klickety-trinity (>= ${Source-Version}), klines-trinity (>= ${Source-Version}), kmahjongg-trinity (>= ${Source-Version}), kmines-trinity (>= ${Source-Version}), knetwalk-trinity (>= ${Source-Version}), kolf-trinity (>= ${Source-Version}), konquest-trinity (>= ${Source-Version}), kpat-trinity (>= ${Source-Version}), kpoker-trinity (>= ${Source-Version}), kreversi-trinity (>= ${Source-Version}), ksame-trinity (>= ${Source-Version}), kshisen-trinity (>= ${Source-Version}), ksirtet-trinity (>= ${Source-Version}), ksmiletris-trinity (>= ${Source-Version}), ksnake-trinity (>= ${Source-Version}), ksokoban-trinity (>= ${Source-Version}), kspaceduel-trinity (>= ${Source-Version}), ktron-trinity (>= ${Source-Version}), ktuberling-trinity (>= ${Source-Version}), twin4-trinity (>= ${Source-Version}), lskat-trinity (>= ${Source-Version})
-Suggests: tdegames-trinity-doc-html (>= ${Source-Version}), khelpcenter-trinity
+Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version})
+Suggests: tdegames-trinity-doc-html (>= ${source:Version}), khelpcenter-trinity
 Description: games from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
  desktop environment for Unix workstations. It combines ease of use,
@@ -76,7 +76,7 @@
 Section: libdevel
 Replaces: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
 Breaks: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
-Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${Source-Version})
+Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${source:Version})
 Description: Trinity games library headers
  This package is necessary if you want to develop your own games using
  the TDE games library.
@@ -132,7 +132,7 @@
 Replaces: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
 Breaks: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
 Priority: extra
-Depends: ${shlibs:Depends}, atlantik-trinity (= ${Source-Version}), libtdegames-trinity-dev (= ${Source-Version})
+Depends: ${shlibs:Depends}, atlantik-trinity (= ${source:Version}), libtdegames-trinity-dev (= ${source:Version})
 Description: Development files for Atlantik
  This package contains header files for compiling programs against the
  libraries which come with Atlantik.
