=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtool, groff-base, sharutils, bzip2, sharutils, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtool, groff-base, sharutils, bzip2, sharutils, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
 Standards-Version: 3.8.4
 
@@ -227,3 +227,4 @@
 Replaces: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
 Breaks: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
+Description: Jezzball clone for the Trinity Desktop Environment
