## tdegames-trinity 14.0.11

=== debian/changelog ===
tdegames-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Sep 2021 00:11:36 +0200
