## tdegames-trinity 14.0.13

=== debian/changelog ===
tdegames-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 Oct 2022 01:48:25 +0200
